require "util.printing";

local actions = {
	help = require "cli.help",
	query = require "cli.query",
	dump = require "cli.dump",
};

return function (action, ...)
	if action == "--help" or action == "-h" or action == "-help" then
		return actions.help();
	end

	return actions[action](...);
end

